Home | All Classes | Grouped Classes | Index | Search

# Class CL_DomNodeList

DOM Node List class. More...

Derived from: none
Derived by: none
Group: Core (XML)

#include <ClanLib/core.h>

Construction:

CL_DomNodeList | Constructs a DOM NodeList handle.

Attributes:

get_length | The number of nodes in the list.

Operations:

item | Returns the indexth item in the collection.
add_item | Adds a CL_DomNode to the list.

Detailed description:

!group=Core/XML! !header=core.h!

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented.

Questions or comments, write to the ClanLib mailing list.